package com.tofly.xrtygis.custom.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.xrtygis.custom.entity.dma.ConstomCondition;
import com.tofly.xrtygis.custom.entity.dma.CustomPartition;
import com.tofly.xrtygis.entity.Dmaandobser;
import com.tofly.xrtygis.entity.Dmaregion;
import com.tofly.xrtygis.entity.Dmatable;

import javax.servlet.http.HttpServletResponse;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @author FlashWJL
 * @date 2021/3/29 15:26
 */
public interface CustomAreaService {
    Long addPartition(String info);

    List<CustomPartition> getPartition(String partitionName, Long partitionId, Page page);

    Map getPartitionById(HttpServletResponse response , Page page , ConstomCondition condition);

    Map partitionNum();

    Map partitionNumSynthe();

    boolean delPartition(String ids);

    List<Dmatable> tableCoord();

    Map getDetailById(Long id);

    Map getBingCbb(Long dmaId);

    boolean bingCbb(Long dmaId, String cbbList);

    /**
     * 获取片区同级信息
     * @param level 等级
     * @return list
     */
    List<Dmaregion> areaLevelInfo(String level);

    Page<Dmaregion> getReginPage(Page page, Integer level);

    /**
     * 根据设备获取当前年 年平均压力
     * @param year
     * @param deviceIdList
     * @return
     */
    BigDecimal getYearPressure(String year,List<Long> deviceIdList);
}
